Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQVButtonGroup Class Reference

The TQVButtonGroup widget organizes TQButton widgets in a vertical column. More...

`#include <ntqvbuttongroup.h>`

Inherits TQButtonGroup.

List of all member functions.

## Public Members

- TQVButtonGroup ( TQWidget * parent = 0, const char * name = 0 )
- TQVButtonGroup ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )
- ~TQVButtonGroup ()

## Detailed Description

The TQVButtonGroup widget organizes TQButton widgets in a vertical column.

TQVButtonGroup is a convenience class that offers a thin layer on top of TQButtonGroup. Think of it as a TQVBox that offers a frame with a title and is specifically designed for buttons.

See also TQHButtonGroup, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### TQVButtonGroup::TQVButtonGroup ( TQWidget * parent = 0, const char * name = 0 )

Constructs a vertical button group with no title.

The parent and name arguments are passed on to the TQWidget constructor.

### TQVButtonGroup::TQVButtonGroup ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )

Constructs a vertical button group with the title title.

The parent and name arguments are passed on to the TQWidget constructor.

### TQVButtonGroup::~TQVButtonGroup ()

Destroys the vertical button group, deleting its child widgets.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.